Name: qtradio
Version: 0.8.1c
Release: alt1

Summary: QtRadio - lets you listen to the radio using Video4Linux or Video4Linux2
License: GPL
Group: Sound
Url: http://linux.perlak.com
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: QtRadio-%version.tar.bz2
Source1: %name.menu
Source2: %name.png

# Automatically added by buildreq on Mon Jul 07 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: libGLU libaudio libexpat libjpeg-devel liblcms libmng
BuildRequires: libpng-devel libqt3-devel libstdc++-devel zlib-devel

%description
This application lets you listen to the radio using Video4Linux or Video4Linux2
(There are still a lot of things to do, so not everything works fine)
It also uses OSS drivers for setting volume (it is still in alpha mode)

%prep
%setup -q -n QtRadio-0.8.1
for i in %name/main.cpp %name/qtradio.cpp %name/TrayIcon.cpp
do
  %__subst 's|/usr/local|/usr|g' $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
%make

%install
%__mkdir -p %buildroot%_datadir
%__cp -R QtRadio %buildroot%_datadir
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png
%makeinstall

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog INSTALL README TODO VERSION
%_bindir/*
%_menudir/*
%_datadir/QtRadio
%_datadir/pixmaps/*

%changelog
* Wed Jun 08 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.8.1c-alt1
- 0.8.1c

* Tue Feb 10 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.8.1-alt1
- 0.8.1
- recording (corrected bugs)
- trayicon (corrected bugs)
- now working as recording tool or mixer (no radio tuner needed)

* Mon Sep 1 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.8.0-alt1
- 0.8.0
- SKINS
- Shortcuts

* Mon Jul 7 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7.0-alt1
- 0.7.0
- lirc support
- new installation script

* Sun May 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6.0-alt1
- First version of RPM package

